Package org.drinkless.tdlib

# Class TdApi.UpdateSpeechRecognitionTrial

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Update
org.drinkless.tdlib.TdApi.UpdateSpeechRecognitionTrial

Enclosing class:
  `TdApi`

public static class TdApi.UpdateSpeechRecognitionTrial extends TdApi.Update
The parameters of speech recognition without Telegram Premium subscription has changed.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Update

  `TdApi.Update.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `leftCount`
  Number of left speech recognition attempts this week.
  `int`
  `maxMediaDuration`
  The maximum allowed duration of media for speech recognition without Telegram Premium subscription, in seconds.
  `int`
  `nextResetDate`
  Point in time (Unix timestamp) when the weekly number of tries will reset; 0 if unknown.
  `int`
  `weeklyCount`
  The total number of allowed speech recognitions per week; 0 if none.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateSpeechRecognitionTrial()`
  The parameters of speech recognition without Telegram Premium subscription has changed.
  `UpdateSpeechRecognitionTrial(int maxMediaDuration, int weeklyCount, int leftCount, int nextResetDate)`
  The parameters of speech recognition without Telegram Premium subscription has changed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### maxMediaDuration

    public int maxMediaDuration
    The maximum allowed duration of media for speech recognition without Telegram Premium subscription, in seconds.

  - ### weeklyCount

    public int weeklyCount
    The total number of allowed speech recognitions per week; 0 if none.

  - ### leftCount

    public int leftCount
    Number of left speech recognition attempts this week.

  - ### nextResetDate

    public int nextResetDate
    Point in time (Unix timestamp) when the weekly number of tries will reset; 0 if unknown.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpdateSpeechRecognitionTrial

    public UpdateSpeechRecognitionTrial()
    The parameters of speech recognition without Telegram Premium subscription has changed.

  - ### UpdateSpeechRecognitionTrial

    public UpdateSpeechRecognitionTrial(int maxMediaDuration, int weeklyCount, int leftCount, int nextResetDate)
    The parameters of speech recognition without Telegram Premium subscription has changed.
    Parameters:
      `maxMediaDuration` - The maximum allowed duration of media for speech recognition without Telegram Premium subscription, in seconds.
      `weeklyCount` - The total number of allowed speech recognitions per week; 0 if none.
      `leftCount` - Number of left speech recognition attempts this week.
      `nextResetDate` - Point in time (Unix timestamp) when the weekly number of tries will reset; 0 if unknown.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Update`
    Returns:
      this.CONSTRUCTOR